Index: branches/new_class_id/src/lib/network/converter.cc
===================================================================
--- branches/new_class_id/src/lib/network/converter.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/converter.cc	(revision 9715)
@@ -28,5 +28,5 @@
 SHELL_COMMAND_STATIC(debug, Converter, Converter::debug);
 
-NewObjectListDefinition(Converter);
+ObjectListDefinition(Converter);
 /* using namespace std is default, this needs to be here */
 
Index: branches/new_class_id/src/lib/network/converter.h
===================================================================
--- branches/new_class_id/src/lib/network/converter.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/converter.h	(revision 9715)
@@ -24,5 +24,5 @@
 class Converter : public BaseObject
 {
-  NewObjectListDeclaration(Converter);
+  ObjectListDeclaration(Converter);
   public:
     static byte* intToByteArray(int x);
Index: branches/new_class_id/src/lib/network/data_stream.cc
===================================================================
--- branches/new_class_id/src/lib/network/data_stream.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/data_stream.cc	(revision 9715)
@@ -20,5 +20,5 @@
 /* using namespace std is default, this needs to be here */
 
-NewObjectListDefinition(DataStream);
+ObjectListDefinition(DataStream);
 
 /**
Index: branches/new_class_id/src/lib/network/data_stream.h
===================================================================
--- branches/new_class_id/src/lib/network/data_stream.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/data_stream.h	(revision 9715)
@@ -17,5 +17,5 @@
 class DataStream : public BaseObject
 {
-  NewObjectListDeclaration(DataStream);
+  ObjectListDeclaration(DataStream);
   public:
       DataStream();
Index: branches/new_class_id/src/lib/network/handshake.cc
===================================================================
--- branches/new_class_id/src/lib/network/handshake.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/handshake.cc	(revision 9715)
@@ -23,5 +23,5 @@
 
 
-NewObjectListDefinition(Handshake);
+ObjectListDefinition(Handshake);
 
 
Index: branches/new_class_id/src/lib/network/handshake.h
===================================================================
--- branches/new_class_id/src/lib/network/handshake.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/handshake.h	(revision 9715)
@@ -42,5 +42,5 @@
 class Handshake : public Synchronizeable
 {
-  NewObjectListDeclaration(Handshake);
+  ObjectListDeclaration(Handshake);
   public:
     Handshake( int nodeType, int clientId = 0, int networkGameManagerId = 0, int messageManagerId = 0 );
Index: branches/new_class_id/src/lib/network/message_manager.cc
===================================================================
--- branches/new_class_id/src/lib/network/message_manager.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/message_manager.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 
-NewObjectListDefinition(MessageManager);
+ObjectListDefinition(MessageManager);
 MessageManager* MessageManager::singletonRef = NULL;
 
Index: branches/new_class_id/src/lib/network/message_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/message_manager.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/message_manager.h	(revision 9715)
@@ -96,5 +96,5 @@
 class MessageManager : public Synchronizeable {
 
-  NewObjectListDeclaration(MessageManager);
+  ObjectListDeclaration(MessageManager);
  public:
    inline static MessageManager * getInstance(){ if (!singletonRef) singletonRef = new MessageManager();  return singletonRef; }
Index: branches/new_class_id/src/lib/network/monitor/connection_monitor.cc
===================================================================
--- branches/new_class_id/src/lib/network/monitor/connection_monitor.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/monitor/connection_monitor.cc	(revision 9715)
@@ -23,5 +23,5 @@
 /* using namespace std is default, this needs to be here */
 
-NewObjectListDefinition(ConnectionMonitor);
+ObjectListDefinition(ConnectionMonitor);
 /**
  * constructor
Index: branches/new_class_id/src/lib/network/monitor/connection_monitor.h
===================================================================
--- branches/new_class_id/src/lib/network/monitor/connection_monitor.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/monitor/connection_monitor.h	(revision 9715)
@@ -19,5 +19,5 @@
 class ConnectionMonitor : virtual public BaseObject
 {
-  NewObjectListDeclaration(ConnectionMonitor);
+  ObjectListDeclaration(ConnectionMonitor);
   public:
     ConnectionMonitor( int userId );
Index: branches/new_class_id/src/lib/network/monitor/network_monitor.cc
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_monitor.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/monitor/network_monitor.cc	(revision 9715)
@@ -37,5 +37,5 @@
 SHELL_COMMAND(debug, NetworkMonitor, debug);
 
-NewObjectListDefinition(NetworkMonitor);
+ObjectListDefinition(NetworkMonitor);
 
 
Index: branches/new_class_id/src/lib/network/monitor/network_monitor.h
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_monitor.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/monitor/network_monitor.h	(revision 9715)
@@ -27,5 +27,5 @@
 class NetworkMonitor : public Synchronizeable
 {
-  NewObjectListDeclaration(NetworkMonitor);
+  ObjectListDeclaration(NetworkMonitor);
   public:
     NetworkMonitor(NetworkStream* networkStream);
Index: branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc	(revision 9715)
@@ -211,5 +211,5 @@
 
 
-NewObjectListDefinition(NetworkStatsWidget);
+ObjectListDefinition(NetworkStatsWidget);
 /**
  * @brief standard constructor
Index: branches/new_class_id/src/lib/network/monitor/network_stats_widget.h
===================================================================
--- branches/new_class_id/src/lib/network/monitor/network_stats_widget.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/monitor/network_stats_widget.h	(revision 9715)
@@ -81,5 +81,5 @@
 class NetworkStatsWidget : public OrxGui::GLGuiFixedpositionBox
 {
-  NewObjectListDeclaration(NetworkStatsWidget);
+  ObjectListDeclaration(NetworkStatsWidget);
   public:
     static void toggleGUI();
Index: branches/new_class_id/src/lib/network/network_game_manager.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_game_manager.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_game_manager.cc	(revision 9715)
@@ -46,5 +46,5 @@
 
 
-NewObjectListDefinition(NetworkGameManager);
+ObjectListDefinition(NetworkGameManager);
 NetworkGameManager* NetworkGameManager::singletonRef = NULL;
 
@@ -97,5 +97,5 @@
 
   int          team = rules.getTeamForNewUser();
-  NewClassID   playableClassId = rules.getPlayableClassId( userId, team );
+  ClassID   playableClassId = rules.getPlayableClassId( userId, team );
   std::string  playableModel = rules.getPlayableModelFileName( userId, team, playableClassId );
   std::string  playableTexture = rules.getPlayableModelFileName( userId, team, playableClassId );
@@ -186,5 +186,5 @@
   }
 
-  for (NewObjectList<Synchronizeable>::const_iterator it = Synchronizeable::objectList().begin();
+  for (ObjectList<Synchronizeable>::const_iterator it = Synchronizeable::objectList().begin();
        it != Synchronizeable::objectList().end();
       ++it)
Index: branches/new_class_id/src/lib/network/network_game_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/network_game_manager.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_game_manager.h	(revision 9715)
@@ -33,5 +33,5 @@
 class NetworkGameManager: public Synchronizeable
 {
-  NewObjectListDeclaration(NetworkGameManager);
+  ObjectListDeclaration(NetworkGameManager);
   public:
     virtual ~NetworkGameManager();
Index: branches/new_class_id/src/lib/network/network_manager.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_manager.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_manager.cc	(revision 9715)
@@ -40,5 +40,5 @@
 
 
-NewObjectListDefinition(NetworkManager);
+ObjectListDefinition(NetworkManager);
 NetworkManager* NetworkManager::singletonRef = NULL;
 
Index: branches/new_class_id/src/lib/network/network_manager.h
===================================================================
--- branches/new_class_id/src/lib/network/network_manager.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_manager.h	(revision 9715)
@@ -25,5 +25,5 @@
 class NetworkManager : public BaseObject
 {
-  NewObjectListDeclaration(NetworkManager);
+  ObjectListDeclaration(NetworkManager);
   public:
 
Index: branches/new_class_id/src/lib/network/network_protocol.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_protocol.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_protocol.cc	(revision 9715)
@@ -35,5 +35,5 @@
 
 
-NewObjectListDefinition(NetworkProtocol);
+ObjectListDefinition(NetworkProtocol);
 /**
   standard constructor
Index: branches/new_class_id/src/lib/network/network_protocol.h
===================================================================
--- branches/new_class_id/src/lib/network/network_protocol.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_protocol.h	(revision 9715)
@@ -25,5 +25,5 @@
 class NetworkProtocol : virtual public BaseObject
 {
-  NewObjectListDeclaration(NetworkProtocol);
+  ObjectListDeclaration(NetworkProtocol);
   public:
     NetworkProtocol();
Index: branches/new_class_id/src/lib/network/network_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_socket.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_socket.cc	(revision 9715)
@@ -24,5 +24,5 @@
 #include "network_socket.h"
 
-NewObjectListDefinition(NetworkSocket);
+ObjectListDefinition(NetworkSocket);
 /**
  * Default constructor
Index: branches/new_class_id/src/lib/network/network_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/network_socket.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_socket.h	(revision 9715)
@@ -17,5 +17,5 @@
 class NetworkSocket : public BaseObject
 {
-  NewObjectListDeclaration(NetworkSocket);
+  ObjectListDeclaration(NetworkSocket);
   public:
     NetworkSocket();
Index: branches/new_class_id/src/lib/network/network_stream.cc
===================================================================
--- branches/new_class_id/src/lib/network/network_stream.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_stream.cc	(revision 9715)
@@ -54,5 +54,5 @@
 #define PACKAGE_SIZE  256
 
-NewObjectListDefinition(NetworkStream);
+ObjectListDefinition(NetworkStream);
 /**
  * empty constructor
Index: branches/new_class_id/src/lib/network/network_stream.h
===================================================================
--- branches/new_class_id/src/lib/network/network_stream.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/network_stream.h	(revision 9715)
@@ -33,5 +33,5 @@
 class NetworkStream : public DataStream
 {
-  NewObjectListDeclaration(NetworkStream);
+  ObjectListDeclaration(NetworkStream);
   public:
     NetworkStream();
Index: branches/new_class_id/src/lib/network/player_stats.cc
===================================================================
--- branches/new_class_id/src/lib/network/player_stats.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/player_stats.cc	(revision 9715)
@@ -32,5 +32,5 @@
 #include "class_id.h"
 
-NewObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
+ObjectListDefinitionID(PlayerStats, CL_PLAYER_STATS);
 CREATE_FACTORY(PlayerStats);
 
@@ -123,5 +123,5 @@
 PlayerStats * PlayerStats::getStats( int userId )
 {
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
@@ -142,5 +142,5 @@
 {
   this->playable = NULL;
-  for (NewObjectList<Playable>::const_iterator it = Playable::objectList().begin();
+  for (ObjectList<Playable>::const_iterator it = Playable::objectList().begin();
        it != Playable::objectList().end();
        ++it)
@@ -266,5 +266,5 @@
   ScoreList result;
 
-  for (NewObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
+  for (ObjectList<PlayerStats>::const_iterator it = PlayerStats::objectList().begin();
        it != PlayerStats::objectList().end();
        ++it)
Index: branches/new_class_id/src/lib/network/player_stats.h
===================================================================
--- branches/new_class_id/src/lib/network/player_stats.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/player_stats.h	(revision 9715)
@@ -36,5 +36,5 @@
 class PlayerStats : public Synchronizeable
 {
-  NewObjectListDeclaration(PlayerStats);
+  ObjectListDeclaration(PlayerStats);
   public:
     PlayerStats( const TiXmlElement* root = NULL );
@@ -58,5 +58,5 @@
 
     inline int getPlayableClassId(){ return playableClassId; }
-    void setPlayableClassId( const NewClassID& classId ){ this->playableClassId = classId.id(); };
+    void setPlayableClassId( const ClassID& classId ){ this->playableClassId = classId.id(); };
 
     inline int getPlayableUniqueId(){ return playableUniqueId; }
Index: branches/new_class_id/src/lib/network/proxy/network_settings.cc
===================================================================
--- branches/new_class_id/src/lib/network/proxy/network_settings.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/proxy/network_settings.cc	(revision 9715)
@@ -27,5 +27,5 @@
 
 
-NewObjectListDefinition(NetworkSettings);
+ObjectListDefinition(NetworkSettings);
 
 NetworkSettings* NetworkSettings::singletonRef = NULL;
Index: branches/new_class_id/src/lib/network/proxy/network_settings.h
===================================================================
--- branches/new_class_id/src/lib/network/proxy/network_settings.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/proxy/network_settings.h	(revision 9715)
@@ -24,5 +24,5 @@
 class NetworkSettings : public BaseObject
 {
-  NewObjectListDeclaration(NetworkSettings);
+  ObjectListDeclaration(NetworkSettings);
   public:
     inline static NetworkSettings* getInstance() { if (!NetworkSettings::singletonRef) NetworkSettings::singletonRef = new NetworkSettings();
Index: branches/new_class_id/src/lib/network/proxy/proxy_control.cc
===================================================================
--- branches/new_class_id/src/lib/network/proxy/proxy_control.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/proxy/proxy_control.cc	(revision 9715)
@@ -40,5 +40,5 @@
 
 SHELL_COMMAND(forceReconnect, ProxyControl, forceReconnectionShell);
-NewObjectListDefinition(ProxyControl);
+ObjectListDefinition(ProxyControl);
 
 /**
Index: branches/new_class_id/src/lib/network/proxy/proxy_control.h
===================================================================
--- branches/new_class_id/src/lib/network/proxy/proxy_control.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/proxy/proxy_control.h	(revision 9715)
@@ -30,5 +30,5 @@
 class ProxyControl : public Synchronizeable
 {
-  NewObjectListDeclaration(ProxyControl);
+  ObjectListDeclaration(ProxyControl);
   public:
     inline static ProxyControl* getInstance() { if (!ProxyControl::singletonRef) ProxyControl::singletonRef = new ProxyControl();
Index: branches/new_class_id/src/lib/network/server_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/server_socket.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/server_socket.cc	(revision 9715)
@@ -23,5 +23,5 @@
 #include "server_socket.h"
 
-NewObjectListDefinition(ServerSocket);
+ObjectListDefinition(ServerSocket);
 /**
  * constructor
Index: branches/new_class_id/src/lib/network/server_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/server_socket.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/server_socket.h	(revision 9715)
@@ -19,5 +19,5 @@
 class ServerSocket : public BaseObject
 {
-  NewObjectListDeclaration(ServerSocket);
+  ObjectListDeclaration(ServerSocket);
   public:
     ServerSocket( int port);
Index: branches/new_class_id/src/lib/network/shared_network_data.cc
===================================================================
--- branches/new_class_id/src/lib/network/shared_network_data.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/shared_network_data.cc	(revision 9715)
@@ -25,5 +25,5 @@
 
 
-NewObjectListDefinition(SharedNetworkData);
+ObjectListDefinition(SharedNetworkData);
 SharedNetworkData* SharedNetworkData::singletonRef = NULL;
 
Index: branches/new_class_id/src/lib/network/shared_network_data.h
===================================================================
--- branches/new_class_id/src/lib/network/shared_network_data.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/shared_network_data.h	(revision 9715)
@@ -22,5 +22,5 @@
 class SharedNetworkData : public BaseObject
 {
-  NewObjectListDeclaration(SharedNetworkData);
+  ObjectListDeclaration(SharedNetworkData);
   public:
     inline static SharedNetworkData* getInstance() { if (!SharedNetworkData::singletonRef) SharedNetworkData::singletonRef = new SharedNetworkData();
Index: branches/new_class_id/src/lib/network/synchronizeable.cc
===================================================================
--- branches/new_class_id/src/lib/network/synchronizeable.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/synchronizeable.cc	(revision 9715)
@@ -32,5 +32,5 @@
 
 
-NewObjectListDefinition(Synchronizeable);
+ObjectListDefinition(Synchronizeable);
 
 /**
Index: branches/new_class_id/src/lib/network/synchronizeable.h
===================================================================
--- branches/new_class_id/src/lib/network/synchronizeable.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/synchronizeable.h	(revision 9715)
@@ -41,5 +41,5 @@
 class Synchronizeable : virtual public BaseObject
 {
-  NewObjectListDeclaration(Synchronizeable);
+  ObjectListDeclaration(Synchronizeable);
 
   public:
Index: branches/new_class_id/src/lib/network/tcp_server_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/tcp_server_socket.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/tcp_server_socket.cc	(revision 9715)
@@ -26,5 +26,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(TcpServerSocket);
+ObjectListDefinition(TcpServerSocket);
 TcpServerSocket::TcpServerSocket( int port ) : ServerSocket( port )
 {
Index: branches/new_class_id/src/lib/network/tcp_server_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/tcp_server_socket.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/tcp_server_socket.h	(revision 9715)
@@ -19,5 +19,5 @@
 class TcpServerSocket : public ServerSocket
 {
-  NewObjectListDeclaration(TcpServerSocket);
+  ObjectListDeclaration(TcpServerSocket);
   public:
     TcpServerSocket( int port );
Index: branches/new_class_id/src/lib/network/tcp_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/tcp_socket.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/tcp_socket.cc	(revision 9715)
@@ -30,5 +30,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(TcpSocket);
+ObjectListDefinition(TcpSocket);
 /**
  * Default constructor
Index: branches/new_class_id/src/lib/network/tcp_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/tcp_socket.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/tcp_socket.h	(revision 9715)
@@ -40,5 +40,5 @@
 class TcpSocket : public NetworkSocket
 {
-  NewObjectListDeclaration(TcpSocket);
+  ObjectListDeclaration(TcpSocket);
   public:
     TcpSocket();
Index: branches/new_class_id/src/lib/network/udp_server_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/udp_server_socket.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/udp_server_socket.cc	(revision 9715)
@@ -18,5 +18,5 @@
 
 
-NewObjectListDefinition(UdpServerSocket);
+ObjectListDefinition(UdpServerSocket);
 /**
  * constructor
Index: branches/new_class_id/src/lib/network/udp_server_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/udp_server_socket.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/udp_server_socket.h	(revision 9715)
@@ -50,5 +50,5 @@
 class UdpServerSocket : public ServerSocket
 {
-  NewObjectListDeclaration(UdpServerSocket);
+  ObjectListDeclaration(UdpServerSocket);
   public:
     UdpServerSocket( int port);
Index: branches/new_class_id/src/lib/network/udp_socket.cc
===================================================================
--- branches/new_class_id/src/lib/network/udp_socket.cc	(revision 9709)
+++ branches/new_class_id/src/lib/network/udp_socket.cc	(revision 9715)
@@ -18,5 +18,5 @@
 #include "debug.h"
 
-NewObjectListDefinition(UdpSocket);
+ObjectListDefinition(UdpSocket);
 
 void UdpSocket::init( )
Index: branches/new_class_id/src/lib/network/udp_socket.h
===================================================================
--- branches/new_class_id/src/lib/network/udp_socket.h	(revision 9709)
+++ branches/new_class_id/src/lib/network/udp_socket.h	(revision 9715)
@@ -24,5 +24,5 @@
 class UdpSocket : public NetworkSocket
 {
-  NewObjectListDeclaration(UdpSocket);
+  ObjectListDeclaration(UdpSocket);
   public:
     UdpSocket();
